---
lang: en
title: 'API docs: repository.hasmanyrepository.delete'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.hasmanyrepository.delete.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [HasManyRepository](./repository.hasmanyrepository.md) &gt; [delete](./repository.hasmanyrepository.delete.md)

## HasManyRepository.delete() method

Delete multiple target model instances

<b>Signature:</b>

```typescript
delete(where?: Where<Target>, options?: Options): Promise<Count>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  where | <code>Where&lt;Target&gt;</code> | Instances within the where scope are deleted |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`Promise<Count>`

A promise which resolves the deleted target model instances


